Cancel
Showing results for 
Search instead for 
Did you mean: 

Can not upgrade to NX12.0.1.

Siemens Valued Contributor Siemens Valued Contributor
Siemens Valued Contributor

Always thank you for your help.

 

 

I tried upgrading to NX 12.0.1.
But it will fail with the following error:

 

Error Message- - - - - - - - - - - - - 

nx1201_SetupError.png

 

[Siemens NX 12.0.1]
     Error 2229. Database:.
     Could not load table 'Control' in SQL query:
     SELECT 'Control', 'Type', 'X', 'Y', 'Width', 'Height', 'Attributes', 'Property', 'Text', 'Control_Next', 'Help' FROM 'Control' WHERE 'Dialog_'=?.

- - - - - - - - - - - - - 

 


Do you know workarounds?

 

 

 

Additional notes
It is occurring on multiple PCs.

9 REPLIES
Highlighted

Re: Can not upgrade to NX12.0.1.

Solution Partner Phenom Solution Partner Phenom
Solution Partner Phenom

see reply in this topic.

 

https://community.plm.automation.siemens.com/t5/NX-Design-Forum/NX-12-0-1-Maintenance-Release-Announ...


Ruud van den Brand
Pre-sales NX CAD
cards PLM Solutions

Re: Can not upgrade to NX12.0.1.

Siemens Valued Contributor Siemens Valued Contributor
Siemens Valued Contributor

Ruud van den Brand-san,

 

 

I appreciate your information sharing.

I was just checking it.

 

I will finish this discussion.

 

 

Thanks and Regards,

Seiji Uchikawa

Re: Can not upgrade to NX12.0.1.

Creator
Creator

TL;DR version: you will need to download all three files (.zip, .z01, .z02) prior to unzipping and installing.

Re: Can not upgrade to NX12.0.1.

Siemens Phenom Siemens Phenom
Siemens Phenom

For those who have not yet seen the solution...

 

Not everyone saw this problem (my install went fine). Apparently you'll only see this issue if you are a non-English installer.

 

SFB-NX-8001641

 

MSI Error 2229 SQL error when running NX/Simcenter 12.0.1 as an upgrade to NX/Simcenter 12.0

 

Re: Can not upgrade to NX12.0.1.

Siemens Valued Contributor Siemens Valued Contributor
Siemens Valued Contributor

@jonparkinson-san,

Thank you!!

At that time, I already downloaded three ZIP files.

 

@PatMcManus-san

Thank you share information.

SFB mail arrived this morning and was resolved by replacing the MST file.
Even around me, installation of English environment was successful.

 

 

I thank all the reporters.

Re: Can not upgrade to NX12.0.1.

Siemens Phenom Siemens Phenom
Siemens Phenom

For those of you who ran into this issue, and had not tried or wanted to use the workaround. New installation files have been posted on our download. Be sure to download all 3 zip files.

 

Extract the zip file, and it will find the z01 and z02 file, and create one extracted folder. Run the installer, and also for non-English installers all will work fine now.

 

And once more... If you have not yet installed NX 12.0.0, you can directly start with installing 12.0.1 without first the need for installing the base install. This only applies to NX 12.0.1, not for any previous releases like NX 11.0.1 etc.

 

Kind regards,


Dennis

Dennis de Brouwer
Application Support Engineer
GTAC EMEA - Siemens Industry Software

Re: Can not upgrade to NX12.0.1.

Genius
Genius

See attached slides for errors I got while unzipping 12.0.1

Re: Can not upgrade to NX12.0.1.

Siemens Phenom Siemens Phenom
Siemens Phenom

Hello @Mak_Jo,

 

First of all, the z03 mentioned in the readme file is wrong. This has been changed, and the readme should be updated today. You need the zip, the z01 and z02.

 

Secondly, the sha256 file, is not needed for installing NX. It's a text file, which contains a checksum, which you can compare with the checksum on your system, to see, if the download of the files was completed successfully, for more info, check here

 

Next thing is, if all goes right, you only need to extract the zip file, not the z01 and z02, this are automatically unzipped with the zip file (if the unzipping works), so trying to unzip the separate z01 and z02 is not possible.

 

Last point, we have had some reports, that you'll need the latest updated version of 7zip, else you might get some errors, I believe this is the problem in your case.

 

Hope this helps...

 

Kind regards,

 

Dennis

Dennis de Brouwer
Application Support Engineer
GTAC EMEA - Siemens Industry Software

Re: Can not upgrade to NX12.0.1.

Genius
Genius
Hi Dennis,

Thanks for your reply. Unzipping worked on nx-12.0.1.r1.zip file after I upgraded my 7-zip version to 16.04